Hacking PS Vita on 3.61 (hackable or screwed?)

Marter714

Well-Known Member
OP
Member
Joined
Jan 5, 2016
Messages
141
Trophies
0
Age
29
XP
321
Country
United States
Hey guys so I'm a bit new to hacking when it comes to the Vita so sorry if this question gets constantly asked.

I recently learned about HENkaku, thought it sounded interesting and wanted to try it out. BUT I had completely forgotten that I had updated my Vita just a week ago so I'm on 3.61 when I need to be on 3.60
So my obvious question is: Is it still hackable? Maybe a downgrade? Or am I just screwed until someone figures out how to downgrade the latest FW.

Thanks in advance! :)
 

Schiggy-chan

Member
Newcomer
Joined
Apr 4, 2015
Messages
10
Trophies
0
Age
27
XP
72
Country
Gambia, The
Screwed.

I read somewhere that it should be possible to downgrade via switching parts from another vita with a lower FW. But if you get a second working vita, what's the point in this.
 

ShinichiKudo

Well-Known Member
Newcomer
Joined
Jul 23, 2012
Messages
71
Trophies
0
Age
30
XP
176
Country
Freek team member releases Binding of Isaac on /hbg/, it's the real deal, contains some unknown software tool.
An hour later a major vita hemebrew guy Major_Tom quits the scene, people suspect he was part of Freek and was pissed by the leak
Shitposting and chaos ensues
Meanwhile chinese dude releases HTOL#NiQ

Just copied this somewhere
 

ShinichiKudo

Well-Known Member
Newcomer
Joined
Jul 23, 2012
Messages
71
Trophies
0
Age
30
XP
176
Country

Attachments

  • Screenshot_2016-08-29-06-53-59.png
    Screenshot_2016-08-29-06-53-59.png
    40.3 KB · Views: 404

Marter714

Well-Known Member
OP
Member
Joined
Jan 5, 2016
Messages
141
Trophies
0
Age
29
XP
321
Country
United States
Damn that's crazy I didn't know all this was happening!
Well I guess I'll just cross my fingers and hope the homebrew scene continues to 3.61

Thanks everyone!
 

Transdude1996

Well-Known Member
Member
Joined
Dec 28, 2011
Messages
246
Trophies
1
Age
27
XP
434
Country
United States
Id' like to correct something. You're not entirely screwed on 3.61. VHBL still works, along with the VitaFTP program. So, PSP homebrew is still usable. However, the problem starts with the fact that you have to install VHBL prior to updating.

So, if you updated without installing it, yes, you'll have to wait until the next exploit happens.
 
  • Like
Reactions: Marter714

You may also like...

General chit-chat
Help Users
  • No one is chatting at the moment.
    Psionic Roshambo @ Psionic Roshambo: Lol